Bug 1274725 - Last 5% of fusor-installer feels like it takes almost as long as 0 - 95%
Last 5% of fusor-installer feels like it takes almost as long as 0 - 95%
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
Unspecified Unspecified
high Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks: 1266241
  Show dependency treegraph
Reported: 2015-10-23 08:59 EDT by Jason Montleon
Modified: 2017-08-01 15:57 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1266241
Last Closed: 2017-08-01 15:57:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12166 None None None 2016-05-11 13:36 EDT

  None (edit)
Description Jason Montleon 2015-10-23 08:59:31 EDT
+++ This bug was initially created as a clone of Bug #1266241 +++

Description of problem:
I don't have timings around this, but the last 5% or so of fusor-installer took much longer than I would have expected, given how long it took to get to 95%. Feels like it took almost as long to do the last 5% as it did to go from 0 - 95%. Is it all one task, or a number of things that are left to do at that point? 

Not sure where the % progress comes from, but it might help ease expectations if the last few things it did accounted for more of the overall progress, since they seem to take longer.

Version-Release number of selected component (if applicable):
Tech Preview

Additional info:

--- Additional comment from John Matthews on 2015-10-13 14:21:57 EDT ---

Let's look into different task weights to give this a better feel.

--- Additional comment from Jason Montleon on 2015-10-23 08:42:46 EDT ---

This probably goes back to katello-installer/foreman-installer behavior and it is not specific to fusor-installer. rake tasks like db:migrate, etc, are running at the end of the install and these are what is being waited on for so long.
Comment 2 Martin Bacovsky 2016-04-21 07:51:26 EDT
1/ The process duration is estimated from count of resources in puppet plan. The real number of resources processed may differ based on installer options and puppet version used. 

2/ Also the duration of the steps may differ significantly. As it was said above db migrations, seeds, cache population and others is done at the end of installation and all of them are long running tasks.

3/ Also when the estimate was lower then the real result, which is common, all the extra tasks are executed at 99% to avoid exceeding 100%.

As a solution we can probably address 3/ by multiplying the estimate by some arbitrary ratio to avoid waiting at 99%. Assuming that eventual skip from 95% to 100% is more acceptable for the user. To address 2/ some kind of weighting could be added, but it is unlikely to get in in 6.2 timeframe.
Comment 3 Bryan Kearney 2016-04-21 07:54:07 EDT
Created redmine issue http://projects.theforeman.org/issues/14753 from this bug
Comment 4 Bryan Kearney 2016-05-23 10:09:53 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/12166 has been closed
Comment 6 Bryan Kearney 2017-08-01 15:57:48 EDT
The fix to this bug will be delivered with release 6.3 of Satellite.

Note You need to log in before you can comment on or make changes to this bug.